---
layout: release
date: 2022-03-05
tag: v0.6.0-rc-5b
---

## What's New
## 🔤 General
- Fix redundant kubeopenjsonschema instances running at a time @Revolyssup (#5147)
- Revert "Bump k8s.io/apiextensions-apiserver from 0.22.4 to 0.23.4" @leecalcote (#5158)
- [Lifecycle] Remove unused protos @theBeginner86 (#5114)

## ⌨️ Meshery CLI

- [mesheryctl] Check for expired tokens/expired token error message @cpepper96 (#4989)
- [mesheryctl] `--force` flag does not return CR delete errors @gr455 (#5084)
- Updated the UX @chinmaym07 (#5119)

## 🖥 Meshery UI

- [UI][Bug Hunt] Cluster Switcher + nav toggle btn fix | CU-22qqma1 @Chadha93 (#5143)
- Bump prop-types from 15.7.2 to 15.8.1 in /ui @dependabot (#5137)
- Bump @fortawesome/free-regular-svg-icons from 5.15.4 to 6.0.0 in /ui @dependabot (#5148)
- Bumped down styled-jsx version @adi611 (#5122)
- Bump react-dom from 16.13.1 to 16.14.0 in /ui @dependabot (#5132)
- Bump cypress from 9.2.0 to 9.5.1 in /provider-ui @dependabot (#5153)
- Bump eslint-plugin-react from 7.28.0 to 7.29.2 in /provider-ui @dependabot (#5136)
- Bump eslint-plugin-react-hooks from 4.2.0 to 4.3.0 in /ui @dependabot (#5139)
- Bump @babel/types from 7.16.0 to 7.17.0 in /ui @dependabot (#5138)
- trasitioned from patterns to designs @warunicorn19 (#5116)
- [UI] Added Kubernetes context switcher slide transition @NikhilSharma03 (#5126)
- changed the upload patterns modal @warunicorn19 (#5120)
- [CI] [Cypress] Add E2E tests to Deploy Filters Configuration through Meshery UI @MarioArriaga92 (#4717)
- Add support for handling x-kubernetes-int-or-string @Abhishek-kumar09 (#5106)
- [UI] Fix UI crash due to invalid hook call @Abhishek-kumar09 (#5098)

## 🔋 Patterns, Filters, Applications

- [CI] [Cypress] Add E2E tests to Deploy Filters Configuration through Meshery UI @MarioArriaga92 (#4717)

## 🧰 Maintenance

- Bump prop-types from 15.7.2 to 15.8.1 in /ui @dependabot (#5137)
- Bump @fortawesome/free-regular-svg-icons from 5.15.4 to 6.0.0 in /ui @dependabot (#5148)
- Bump github.com/99designs/gqlgen from 0.17.0 to 0.17.1 @dependabot (#5164)
- [Docs] Integrationn Test Results: visual enhancement @leecalcote (#5145)
- Bump github.com/99designs/gqlgen from 0.14.0 to 0.17.0 @dependabot (#5160)
- Bump gorm.io/gorm from 1.22.2 to 1.23.2 @dependabot (#5152)
- Bump k8s.io/apiextensions-apiserver from 0.22.4 to 0.23.4 @dependabot (#5095)
- Bump react-dom from 16.13.1 to 16.14.0 in /ui @dependabot (#5132)
- Bump cypress from 9.2.0 to 9.5.1 in /provider-ui @dependabot (#5153)
- Bump eslint-plugin-react from 7.28.0 to 7.29.2 in /provider-ui @dependabot (#5136)
- Bump github.com/briandowns/spinner from 1.18.0 to 1.18.1 @dependabot (#5149)
- Bump github.com/gorilla/websocket from 1.4.2 to 1.5.0 @dependabot (#5142)
- Bump eslint-plugin-react-hooks from 4.2.0 to 4.3.0 in /ui @dependabot (#5139)
- Bump @babel/types from 7.16.0 to 7.17.0 in /ui @dependabot (#5138)
- Moving ramrodo to contributor team. @Aisuko (#5104)
- [CI] [Cypress] Add E2E tests to Deploy Filters Configuration through Meshery UI @MarioArriaga92 (#4717)
- [meshery] Point the github-actions bot to the correct link for "Contributing to Meshery UI" @adi611 (#5103)

## 📖 Documentation

- [Docs] Add Release Channel Selector to Compatibility Matrix @progmatic-99 (#5169)
- [Docs] Integrationn Test Results: visual enhancement @leecalcote (#5145)
- [Docs] Fixing the page layout CSS @sidd-oo (#5124)
- [Docs] Updated contributing for UI and Docs @shubhangi013 (#5130)
- Bump nokogiri from 1.12.5 to 1.13.3 in /docs @dependabot (#5128)
- [Docs] In architecture.md file: changed ReST to REST which is the valid acronym. @adi611 (#5110)
- updated @Akshit42-hue (#5097)

## 🔒 Security

- [Security] Incorrect Authorization in NATS nats-server @leecalcote (#5127)

## 👨🏽‍💻 Contributors

Thank you to our contributors for making this release possible:
@Abhishek-kumar09, @Aisuko, @Akshit42-hue, @Chadha93, @MarioArriaga92, @NikhilSharma03, @Revolyssup, @adi611, @chinmaym07, @cpepper96, @dependabot, @dependabot[bot], @gr455, @l5io, @leecalcote, @piyushsingariya, @progmatic-99, @shubhangi013, @sidd-oo, @sudo-NithishKarthik, @theBeginner86 and @warunicorn19
